Skip to main content
PATCH
/
v2
/
salesOrders
/
{salesOrderId}
Update Sales Order
curl --request PATCH \
  --url https://api.jtl-cloud.com/erp/v2/salesOrders/{salesOrderId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "billingAddress": {
    "formOfAddress": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "company": "<string>",
    "company2": "<string>",
    "street": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "postalCode": "<string>",
    "state": "<string>",
    "countryISO": "<string>",
    "postId": "<string>",
    "emailAddress": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "fax": "<string>"
  },
  "lineItems": [
    {
      "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "variants": [
        {
          "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
          "extraWeight": 123,
          "name": "<string>",
          "surchargeNet": 123,
          "value": "<string>",
          "itemVariantId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
          "itemVariantValueId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
        }
      ],
      "billOfMaterialsType": 0,
      "configurationItemType": 0,
      "discount": 123,
      "fNSKU": "<string>",
      "name": "<string>",
      "note": "<string>",
      "parentSalesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "purchasePriceNet": 123,
      "quantity": 123,
      "salesPriceNet": 123,
      "salesUnit": "<string>",
      "sKU": "<string>",
      "taxRate": 123,
      "itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
    }
  ],
  "paymentInfo": {
    "accountHolder": "<string>",
    "bankName": "<string>",
    "bIC": "<string>",
    "creditorId": "<string>",
    "dueDate": "2023-11-07T05:31:56Z",
    "endToEndId": "<string>",
    "iBAN": "<string>",
    "mandateReference": "<string>",
    "paymentInfo": "<string>",
    "paymentInfoType": 123,
    "paymentReference": "<string>",
    "referenceEmail": "<string>"
  },
  "shipmentAddress": {
    "formOfAddress": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "company": "<string>",
    "company2": "<string>",
    "street": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "postalCode": "<string>",
    "state": "<string>",
    "countryISO": "<string>",
    "postId": "<string>",
    "emailAddress": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "fax": "<string>"
  },
  "text": {
    "comment": "<string>",
    "customerComment": "<string>",
    "printText": "<string>",
    "processStatus": "<string>"
  },
  "salesOrderDate": "2023-11-07T05:31:56Z",
  "itemDescriptionType": 0,
  "readOnlyType": 0,
  "departureCountry": {
    "countryISO": "<string>",
    "currencyISO": "<string>",
    "currencyFactor": 123,
    "state": "<string>"
  },
  "externalDetails": {
    "externalCreatedDate": "2023-11-07T05:31:56Z",
    "externalInvoiceType": 0,
    "externalSalesOrderNumber": "<string>"
  },
  "paymentDetails": {
    "cashDiscount": 123,
    "cashDiscountDays": 123,
    "currencyISO": "<string>",
    "currencyFactor": 123,
    "financingCosts": 123,
    "paymentDueDateInDays": 123
  },
  "shippingDetails": {
    "deliveryFromDate": "2023-11-07T05:31:56Z",
    "estimatedDeliveryDate": "2023-11-07T05:31:56Z",
    "extraWeight": 123,
    "maxDeliveryDays": 123,
    "shippingDate": "2023-11-07T05:31:56Z",
    "shippingPriority": 123
  },
  "taxDetails": {
    "specialTaxTreatment": 0,
    "taxSetting": 0
  },
  "processColourId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "onHoldReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "cartonItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "processStatusId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "languageId": "<string>",
  "customerSalesOrderNumber": "<string>",
  "customerVATId": "<string>",
  "vATId": "<string>"
}
'
{
  "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "billingAddress": {
    "formOfAddress": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "company": "<string>",
    "company2": "<string>",
    "street": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "postalCode": "<string>",
    "state": "<string>",
    "countryISO": "<string>",
    "postId": "<string>",
    "emailAddress": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "fax": "<string>"
  },
  "lineItems": [
    {
      "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "variants": [
        {
          "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
          "extraWeight": 123,
          "name": "<string>",
          "surchargeNet": 123,
          "value": "<string>",
          "itemVariantId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
          "itemVariantValueId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
        }
      ],
      "billOfMaterialsType": 0,
      "configurationItemType": 0,
      "discount": 123,
      "fNSKU": "<string>",
      "lineItemType": 0,
      "name": "<string>",
      "note": "<string>",
      "parentSalesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "purchasePriceNet": 123,
      "quantity": 123,
      "salesPriceNet": 123,
      "salesUnit": "<string>",
      "sKU": "<string>",
      "taxRate": 123,
      "itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "taxCodeId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
    }
  ],
  "paymentInfo": {
    "accountHolder": "<string>",
    "bankName": "<string>",
    "bIC": "<string>",
    "creditorId": "<string>",
    "dueDate": "2023-11-07T05:31:56Z",
    "endToEndId": "<string>",
    "iBAN": "<string>",
    "mandateReference": "<string>",
    "paymentInfo": "<string>",
    "paymentInfoType": 123,
    "paymentReference": "<string>",
    "referenceEmail": "<string>"
  },
  "shipmentAddress": {
    "formOfAddress": "<string>",
    "title": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "company": "<string>",
    "company2": "<string>",
    "street": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "postalCode": "<string>",
    "state": "<string>",
    "countryISO": "<string>",
    "postId": "<string>",
    "emailAddress": "<string>",
    "phoneNumber": "<string>",
    "mobilePhoneNumber": "<string>",
    "fax": "<string>"
  },
  "text": {
    "comment": "<string>",
    "customerComment": "<string>",
    "printText": "<string>",
    "processStatus": "<string>"
  },
  "salesOrderDate": "2023-11-07T05:31:56Z",
  "isCancelled": true,
  "isPending": true,
  "itemDescriptionType": 0,
  "readOnlyType": 0,
  "salesOrderStatus": 123,
  "salesOrderNumber": "<string>",
  "departureCountry": {
    "countryISO": "<string>",
    "currencyISO": "<string>",
    "currencyFactor": 123,
    "state": "<string>"
  },
  "externalDetails": {
    "externalCreatedDate": "2023-11-07T05:31:56Z",
    "externalInvoiceType": 0,
    "externalSalesOrderNumber": "<string>"
  },
  "paymentDetails": {
    "cashDiscount": 123,
    "cashDiscountDays": 123,
    "currencyISO": "<string>",
    "currencyFactor": 123,
    "financingCosts": 123,
    "paymentDueDateInDays": 123
  },
  "shippingDetails": {
    "deliveryFromDate": "2023-11-07T05:31:56Z",
    "estimatedDeliveryDate": "2023-11-07T05:31:56Z",
    "extraWeight": 123,
    "maxDeliveryDays": 123,
    "shippingDate": "2023-11-07T05:31:56Z",
    "shippingPriority": 123
  },
  "taxDetails": {
    "specialTaxTreatment": 0,
    "taxSetting": 0
  },
  "processColourId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "onHoldReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "cartonItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "processStatusId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "languageId": "<string>",
  "customerSalesOrderNumber": "<string>",
  "customerVATId": "<string>",
  "vATId": "<string>",
  "companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required

The id of the sales order to update.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Query Parameters

recalculateTax
enum<integer>

0 - Keine Neuberechnung, auch wenn steuerrelevante Felder geändert wurden. 1 - Nettopreise beibehalten (Änderungen des Mehrwertsteuersatzes werden vom Kunden getragen). 2 - Bruttopreise beibehalten (Änderungen des Mehrwertsteuersatzes werden vom Einzelhändler getragen). 0 = NoRecalculation, 1 = KeepNetPrices, 2 = KeepGrossPrices

Available options:
0,
1,
2
disableAutomaticWorkflows
boolean

If true, the workflows do not trigger automatic.

Body

application/json

The sales order to update.

Model Class: UpdateSalesOrder

billingAddress
object

SalesOrderBillingAddress

lineItems
object[]

List of SalesOrderLineItem

paymentInfo
object

SalesOrderPaymentInfo

shipmentAddress
object

SalesOrderShipmentAddress

text
object

SalesOrderText

salesOrderDate
string<date-time>

The SalesOrder Date

itemDescriptionType
enum<integer>

The SalesOrder ItemDescriptionType

Available options:
0,
1,
2
readOnlyType
enum<integer>

The SalesOrder ReadOnlyType

Available options:
0,
1,
2
departureCountry
object

DepartureCountry

externalDetails
object

ExternalDetails

paymentDetails
object

PaymentDetails

shippingDetails
object

ShippingDetails

taxDetails
object

TaxDetails

processColourId
string<uuid>

The SalesOrder ProcessColourId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

onHoldReasonId
string<uuid>

The SalesOrder OnHoldReasonId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

cartonItemId
string<uuid>

The SalesOrder CartonItemId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

paymentMethodId
string<uuid>

The SalesOrder PaymentMethodId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

shippingMethodId
string<uuid>

The SalesOrder ShippingMethodId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customerId
string<uuid>

The customer ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

processStatusId
string<uuid>

The SalesOrder ProcessStatusId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

languageId
string

The SalesOrder LanguageISO

customerSalesOrderNumber
string

The SalesOrder CustomerSalesOrderNumber

customerVATId
string

The VAT ID of the customer.

vATId
string

The SalesOrder VATId

Response

The updated sales order.

Model Class: SalesOrder

id
string<uuid>

Unique ID to identify a sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

billingAddress
object

SalesOrderBillingAddress

lineItems
object[]

List of SalesOrderLineItem

paymentInfo
object

SalesOrderPaymentInfo

shipmentAddress
object

SalesOrderShipmentAddress

text
object

SalesOrderText

salesOrderDate
string<date-time>

The SalesOrder Date

isCancelled
boolean

Indicates if the order has been cancelled. There is a special endpoint for cancelling sales orders.

isPending
boolean

The SalesOrder IsPending

itemDescriptionType
enum<integer>

The SalesOrder ItemDescriptionType

Available options:
0,
1,
2
readOnlyType
enum<integer>

The SalesOrder ReadOnlyType

Available options:
0,
1,
2
salesOrderStatus
integer<int32>

The SalesOrder SalesOrderStatus

salesOrderNumber
string

The SalesOrder SalesOrderNumber

departureCountry
object

DepartureCountry

externalDetails
object

ExternalDetails

paymentDetails
object

PaymentDetails

shippingDetails
object

ShippingDetails

taxDetails
object

TaxDetails

processColourId
string<uuid>

The SalesOrder ProcessColourId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

onHoldReasonId
string<uuid>

The SalesOrder OnHoldReasonId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

cartonItemId
string<uuid>

The SalesOrder CartonItemId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

paymentMethodId
string<uuid>

The SalesOrder PaymentMethodId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

shippingMethodId
string<uuid>

The SalesOrder ShippingMethodId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customerId
string<uuid>

The customer ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

processStatusId
string<uuid>

The SalesOrder ProcessStatusId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

languageId
string

The SalesOrder LanguageISO

customerSalesOrderNumber
string

The SalesOrder CustomerSalesOrderNumber

customerVATId
string

The VAT ID of the customer.

vATId
string

The SalesOrder VATId

companyId
string<uuid>

The SalesOrder CompanyId

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"